Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
kb:newer_db_version [2017/11/22 13:57]
bwiernik Remove Zotero 5 warning
kb:newer_db_version [2019/10/03 00:23] (current)
dstillman
Line 7: Line 7:
 This message results from trying to use a Zotero database from a later version of Zotero in an earlier version of the software. For example, if you installed Zotero 5.0 but then reinstalled Zotero 4.0.29.15, you would get this error. Most Zotero versions preserve backward database compatibility,​ but occasionally it's necessary for Zotero developers to make changes to the database that prevent it from working with previous versions. This message results from trying to use a Zotero database from a later version of Zotero in an earlier version of the software. For example, if you installed Zotero 5.0 but then reinstalled Zotero 4.0.29.15, you would get this error. Most Zotero versions preserve backward database compatibility,​ but occasionally it's necessary for Zotero developers to make changes to the database that prevent it from working with previous versions.
  
-The best solution is generally to reinstall the latest version of Zotero from [[/​|zotero.org]]. (If you were using a development build, you may need to reinstall the  [[:​dev_builds|latest ​dev build]].)+The best solution is generally to reinstall the latest version of Zotero from [[/​|zotero.org]]. (If you were using the Zotero Beta, you may need to reinstall the [[:​dev_builds|latest ​beta build]].)
  
 If for some reason you don't want to or are not able to install the latest version, you can restore the pre-upgrade database backup that Zotero stored in your [[:zotero data|Zotero data directory]]. Look for the zotero.sqlite.*.bak file with the highest number (e.g., zotero.sqlite.77.bak). Close Zotero, move your existing zotero.sqlite file out of the way, and then copy the numbered backup file into place as zotero.sqlite. Then restart Zotero. If for some reason you don't want to or are not able to install the latest version, you can restore the pre-upgrade database backup that Zotero stored in your [[:zotero data|Zotero data directory]]. Look for the zotero.sqlite.*.bak file with the highest number (e.g., zotero.sqlite.77.bak). Close Zotero, move your existing zotero.sqlite file out of the way, and then copy the numbered backup file into place as zotero.sqlite. Then restart Zotero.
kb/newer_db_version.1511377063.txt.gz ยท Last modified: 2017/11/22 13:57 by bwiernik